tgt (1:1.0.79-2ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: Improper entropy source
    - debian/patches/CVE-2024-45751.patch: use proper entropy
      source in usr/iscsi/chap.c.
    - CVE-2024-45751

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 11 Sep 2024 11:27:03 -0300

tgt (1:1.0.79-2ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      + debian/control: drop build depends and package
      + debian/rules: disable feature
      + debian/tests/{control, storage}: remove related tests
      + debian/tgt-glusterfs.install (Deleted)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 31 Jul 2019 16:25:34 -0300

tgt (1:1.0.79-2) unstable; urgency=medium

  * Allow env to override pkg-config.
    Thanks to Helmut Grohne (Closes: #932669)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 21 Jul 2019 17:11:45 -0300

tgt (1:1.0.79-1) unstable; urgency=medium

  * New upstream version 1.0.79 (Closes: #925839)
  * Refresh patches and convert d/patches to gbp-pq layout
  * Bump Standards-Version to 4.4.0; no changes needed
  * Bump dh compat level to 12.
    + Add Pre-Depends: ${misc:Pre-Depends} to allow dh to inject the
      init-system-helpers pre-dependency
  * B-D on libglusterfs-dev instead of glusterfs-common (Closes: #919666)
  * d/rules: call dh_auto_build instead of make.
    Thanks to Helmut Grohne (Closes: #919771)
  * Fix build with GlusterFS 6

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 17 Jul 2019 13:19:03 -0300

tgt (1:1.0.74-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1810736). Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)

 -- Karl Stenerud <kstenerud@gmail.com>  Mon, 07 Jan 2019 13:52:58 +0100

tgt (1:1.0.74-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.0.74
  * Bump Standards-Version to 4.2.1; no changes needed
  * d/copyright: bump debian/ years
  * d/copyright: fix public domain license and filename typo

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 08 Dec 2018 22:30:32 +0200

tgt (1:1.0.73-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 May 2018 11:45:12 +0200

tgt (1:1.0.73-1) unstable; urgency=medium

  * New upstream version 1.0.73
  * Bump dh compat to 11:
     + Override dh_installsystemd to add --no-restart-on-upgrade
     + Remove --with=systemd and drop B-D on dh-systemd
     + Remove --parallel from dh, now enabled by default
  * Bump Standards-Version to 4.1.3; no changes needed
  * Migrate tgt-dbg to dbgsym

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 06 Mar 2018 00:12:22 +0200

tgt (1:1.0.72-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)
  * Dropped changes (in new upstream version)
    - Fix FTBFS with gcc7 by backporting upstream patches (LP 1723055)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Nov 2017 10:28:25 +0100

tgt (1:1.0.72-1) unstable; urgency=medium

  * New upstream version (closes: #853680)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 02 Aug 2017 20:12:08 -0400

tgt (1:1.0.71-1ubuntu2) artful; urgency=medium

  * Fix FTBFS with gcc7 by backporting upstream patches (LP: #1723055)
    - d/p/GCC-FTBFS-1-Fix-header-warning-with-GCC-7-for-major.patch
    - d/p/GCC-FTBFS-2-Remove-incorrect-size-specifier-in-spc_lu_init.patch
    - d/p/GCC-FTBFS-3-smc-fix-snprintf-warnings-with-gcc7.patch
    - Those patches are unchanged from upstream and make tgt effectively
      almost 1.0.72, so on that merge they can be dropped.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Oct 2017 14:55:37 +0200

tgt (1:1.0.71-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)
  * Dropped changes (in Debian now):
    - fix tgt being killed when serving many targets (LP 1559088)
    - d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns
      via iscsi using rdwr/aio backends and runs fio read/write/verify
      (LP 1640785)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Sun, 09 Jul 2017 14:48:45 +0200

tgt (1:1.0.71-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * fix tgt being killed when serving many targets (LP: #1559088)
  * d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns via
    iscsi using rdwr/aio backends and runs fio read/write/verify
    (LP: #1640785)

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.0.71 (Closes: #864237)
  * Merge delta from Ubuntu (Closes: #845298)
  * Refresh patches
  * Bump Standards to 4.0.0; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 04 Jul 2017 22:09:50 +0300

tgt (1:1.0.69-1ubuntu1) zesty; urgency=medium

  * Merge from Debian. Remaining changes:
   - Drop glusterfs support, package not in main.
     - debian/control
     - debian/rules
     - debian/tests/{control, storage}
     - debian/tgt-glusterfs.install (Deleted)
   - fix tgt being killed when serving many targets
   - d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns via
     iscsi using rdwr/aio backends and runs fio read/write/verify

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 25 Jan 2017 11:25:55 +0100

tgt (1:1.0.69-1) unstable; urgency=medium

  * New upstream release:
    + Validate the DataOut length in WRITE_SAME_1*
    + WRITE_SAME_* TL==0 means all blocks from LBA until the end of device
    + sheepdog: reject snapshot as a LUN to avoid deleting working VDI

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 11 Nov 2016 10:27:04 +0200

tgt (1:1.0.68-1) unstable; urgency=medium

  * New upstream release:
    + Sheepdog-related fixes.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 01 Nov 2016 01:05:03 +0200

tgt (1:1.0.67-1ubuntu1) zesty; urgency=medium

  * Merge from Debian. Remaining changes:
   - Drop glusterfs support, package not in main.
     - debian/control
     - debian/rules
     - debian/tests/{control, storage}
     - debian/tgt-glusterfs.install (Deleted)
  * Drop changes:
   - debian/patches/util_strtoull_errno.patch by Stas Sergeev (now upstream)
   - Disable AIO backend support. This was done to reduce risk in a previous
     feature freeze; Now that we are before Zesty's feature freeze, we
     can introduce it this cycle.
   - changing file modes of debian/tests/{admin, daemon} (missing in
     changelog, not needed)
  * Add changes:
   - fix tgt being killed when serving many targets (LP: #1559088)
   - d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns via
     iscsi using rdwr/aio backends and runs fio read/write/verify (LP: #1640785)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 10 Nov 2016 10:35:15 +0100

tgt (1:1.0.67-1) unstable; urgency=medium

  * New upstream release:
    + Reject target names with invalid characters
    + Disable NOP-IN and adjust state for closed connections
  * Refresh fix-pie-build patch

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 07 Sep 2016 15:13:30 +0300

tgt (1:1.0.66-1) unstable; urgency=medium

  * New upstream release:
    + Fix iscsi-tcp unsolicited NOP-IN (ping) task leak
    + Call tgt_event_del before closing the eventfd
    + iscsi: fix segfault at conn_close
    + iser: fix segfault when not passing options to iser param
    + tgt-setup-lun: fix error when blocksize not given
    + Fix accepting invalid block size
    + Update tgt-setup-lun for AF 4K disks.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 14 Aug 2016 13:52:35 +0300

tgt (1:1.0.65-1) unstable; urgency=medium

  * New upstream release:
    + Fix a memory leak on allocation failure.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 03 Jun 2016 19:09:41 +0300

tgt (1:1.0.64-1) unstable; urgency=medium

  * New upstream release:
    + Enable tgt-admin to bring up Gluster backing stores
    + Fix argument conversion for command line options with integer arguments
      (closes: #822160)
    + timerfd support fixes
  * Bump standards version to 3.9.8; no changes needed
  * Enable all hardening flags
    + Add d/patches/fix-pie-build to patch upstream's Makefile to allow -fPIE
      builds

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 24 May 2016 12:04:40 +0300

tgt (1:1.0.63-1ubuntu2) yakkety; urgency=medium

  * debian/patches/util_strtoull_errno.patch by Stas Sergeev
    - Fix errno handling for number * parsing (LP: #1547060)

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 21 Apr 2016 09:13:09 -0500

tgt (1:1.0.63-1ubuntu1) xenial; urgency=medium

  * Merge from Debian (LP: #1555700). Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control
      - debian/rules
      - debian/tests/{admin, control, daemon, storage}
      - debian/tgt-glusterfs.install (Deleted)
    - Disable AIO backend support: untested new feature
      - debian/control
      - debian/tests/storage
  * Dropped changes
    - debian/patches/tgtd_dont_fail_on_eacces.patch: included in new release

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 09 Mar 2016 16:51:44 -0600

tgt (1:1.0.63-1) unstable; urgency=medium

  * New upstream release:
    + Do not fail on EACCESS on oom_adjust; tgtd can now run in a different
      user namespace (Closes: #813368).
  * d/control: Use HTTPS URLs for Vcs-* fields.
  * d/tests: Check for aio support (alongside rbd and glusterfs).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 07 Feb 2016 03:23:45 +0200

tgt (1:1.0.62-2) unstable; urgency=medium

  * Enable aio support, thanks to Harald Dunkel! (Closes: #811404)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 19 Jan 2016 11:22:35 +0200

tgt (1:1.0.62-1ubuntu2) xenial; urgency=medium

  * debian/patches/tgtd_dont_fail_on_eacces.patch
    tgtd: fix root-under-userns errors when attempting oom_score_adj
    (Closes: LP:#1518440)

 -- Ryan Harper <ryan.harper@canonical.com>  Mon, 01 Feb 2016 02:18:57 -0600

tgt (1:1.0.62-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1524982, LP: #1518440).  Remaining
    changes:
    - Drop glusterfs support, since it is not in main.
  * debian/upstart:
    - Dropped, we no longer use upstart (except on Touch, where tgt
      isn't used).  Isn't worth a delta.
  * debian/watch:
    - Drop merge conflict markers accidentally left in.
  * debian/tests/*:
    - Drop delta with Debian here, they imported our tests and improved
      them a while back.
  * debian/tgt.service:
    - Drop delta here, Debian made the same change.
  * debian/bash-completion:
    - Dropped, Debian has the same thing, just as tgt.bash-completion.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 21 Dec 2015 14:20:23 -0500

tgt (1:1.0.62-1) unstable; urgency=medium

  * New upstream version.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 10 Dec 2015 23:44:42 +0200

tgt (1:1.0.61-1) unstable; urgency=medium

  * New upstream version:
    + Fix crash when looking up removed targets
  * Fix the `modules' DEP-8 test
  * Allow stderr output in DEP-8 tests

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 03 Nov 2015 09:12:10 +0200

tgt (1:1.0.60-1) unstable; urgency=medium

  * New upstream version:

    Changes in 1.0.59:
     + iser: Clear tasks free list when closing the connection
     + iser: Fix wrong access to the session discovery mode
     + sheepdog: fix to update data_vdi_id after writing data object

    Changes in 1.0.60:
     + usr/libssc: Include fcntl.h for loff_t
     + Correct the location of checkarch.sh in Makefile

   * tgt.service: strip whitespace around equals signs.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 10 Jul 2015 14:14:49 +0300

tgt (1:1.0.58-1) unstable; urgency=medium

  * New upstream version:
    + bs_aio: fix failure handling
    + sheepdog: fine grained locking in write path
    + mgmt: Create ipc socket parent dir if does not exists
    + iser: Fix memory leak of addrinfo struct
    + tgtd.c: allow oom adjust failures for non-root users
    + mgmt: change ipc socket address
    + mgmt.c: check that the connecting user is the same as the user tgtd
      runs as
    + Allow overriding the IPC socket path via TGT_IPC_SOCKET
  * d/control: remove XS-Testsuite and rely on dpkg (>= 1.17.11) to fill it in
    automatically

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 May 2015 12:35:44 +0300

tgt (1:1.0.57-1ubuntu2) wily; urgency=medium

  * debian/tgt.service: remove spaces between key, = and value for WantedBy,
    since it appears to confuse deb-systemd-helper.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 06 Jul 2015 21:21:58 -0400

tgt (1:1.0.57-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop glusterfs support, since it is not in main.
    - debian/patches/fix-config-regression.patch: Dropped no longer
      needed.
    - debian/patches/fix_delayed_management_request.patch: Dropped
      no longer needed.
    - debian/patches/fix_leak_of_task_in_scsi_flag.patch: Dropped
      no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 07 May 2015 09:29:12 -0400

tgt (1:1.0.57-1) unstable; urgency=medium

  * New upstream version:
    + iser: fix tasks leak with all its resource.
    + Set ExpCmdSn and MaxCmdSn in ISCSI_OP_R2T.
  * Drop link-against-libsystemd.patch, merged upstream.
  * d/copyright: bump debian/ copyright years.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 29 Apr 2015 11:53:21 +0300

tgt (1:1.0.51-1) unstable; urgency=medium

  * New upstream version:
    + sheepdog: refresh invalidated inode in update_inode() path
    + sheepdog: set a flag indicating requests are from tgt
    + sheepdog: optimize reloading of inode
    + SMC: add a new volume_tag parameter to storage slots
    + SMC: add a smc backend template with an opcode whitelist
  * initscript: have stop always shutdown tgt, regardless of initiators being
    connected. Thus, forcedstop and stop are the same, also forcedrestart and
    restart. Note that during upgrades we only stop tgtd when no initiators
    are connected. (Closes: #762068)
  * Bump standards to 3.9.6; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 13 Oct 2014 15:31:30 +0300

tgt (1:1.0.50-1) unstable; urgency=medium

  * New upstream version:
    + DOCS: add an example dvd jukebox script
    + MMC: add a dedicated backend for MMC so that supported-opcode map works
    + sheepdog: protocol update for reviving backward compatibility
    + sheepdog: support iSCSI multipath
  * Initscript improvements:
    + stop succeeds when not running (Closes: #758716)
    + Use status_of_proc (Closes: #759585)
    + Remove bashisms and use #!/bin/sh
    + Use a pidfile, created by start-stop-daemon
  * B-D on libsystemd-dev instead of libsystemd-daemon-dev and add a patch to
    link against libsystemd. Fixes build against systemd >= 209.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 15 Sep 2014 09:06:37 +0300

tgt (1:1.0.49-1) unstable; urgency=medium

  * New upstream version:
    + rbd: allow assing a libvirt secret UUID or a cephx_key to bsopts
    + sheepdog: add documentation
    + sheepdog: enable write caching
  * Build-depend on libdrmacm >= 1.0.16

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 23 Aug 2014 09:55:09 -0700

tgt (1:1.0.48-1) unstable; urgency=medium

  * New upstream release.
  * d/t/control: modules test needs isolation-container
  * Enable systemd notification support.
    + d/rules: compile with SD_NOTIFY=1
    + d/control: build-depend on libsystemd-daemon-dev
    + d/tgt.service: change type to "notify" and remove the sleep statement

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 02 Jun 2014 11:01:44 +0300

tgt (1:1.0.47-1) unstable; urgency=medium

  * New upstream release.
  * Friendly takeover, encouraged by the previous maintainers. Thanks to
    Frederik Schüler and Ben Hutchings for maintaining tgt!
  * Update debian/ copyright information
  * control: switch Vcs-* to collab-maint
  * Remove redundant librados-dev build-dependency, it is pulled in by
    librbd-dev.
  * tgt Suggests: tgt-glusterfs, tgt-rbd

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 21 May 2014 23:19:12 +0300

tgt (1:1.0.46-1) unstable; urgency=medium

  * New upstream version
    + Drop existing patches that were merged upstream
      - CVE-2011-0001
      - fix-tgt-admin-bashism
      - make-tgt-setup-lun-executable
    + Refresh conf-makefile patch
    + Build-depend on xsltproc and docbook-xsl to build the manpages
    + Remove FCOE and ISCSI feature parameters from debian/rules; FCOE support
      has been dropped as of 1.0.19 and ISCSI is always built-in.
  * Add myself to Uploaders, as discussed with Ben Hutchings.
  * New patches
    + use-dpkg-buildflags.patch: use hardened build flags where applicable
      (closes: #656127)
    + use-docbook-xsl.patch: use the XSLT stylesheets from docbook-xsl instead
      of docbook.sf.net
    + do-not-build-html-manpages.patch: do not build the HTML version of the
      manpages
  * Update package descriptions (closes: #653067)
  * Convert debian/rules to dh sequencer
    + Simplify debian/rules and remove DEB_BUILD_OPTIONS handling which is now
      left up to dh
  * Build with ceph/rados support (closes: #714868)
    + New binary package, tgt-rbd, offering rbd support
    + Build-Depend on librados-dev and librbd-dev
  * Build with GlusterFS support
    + New binary package, tgt-glusterfs, offering GlusterFS support
    + Build-Depend on glusterfs-common
  * New binary package, tgt-dbg, containing debug symbols for tgt
  * Ship upstream's bash completion
    + Build-Depend on bash-completion
  * Add DEP-8 autopkgtests
    + Import the DEP-8 tests from Ubuntu. Thanks to Yolanda Robla and Barry
      Warsaw (closes: #710173, #710882)
    + Drop the bashisms in the imported autopkgtests
    + Drop the root-needed restriction, as it is not strictly required
    + Add a test to check the rbd and glusterfs loadable modules
  * Mark all packages as arch:linux-any
  * Bump standards to 3.9.5 and compat to 9
  * Update debian/watch to point to github
  * debian/init: provide self (fixes lintian info)
  * debian/copyright: update license information and convert to Format 1.0
  * Initial systemd support
  * Only restart tgt on upgrade when no initiators are connected

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 19 May 2014 15:41:46 +0300

tgt (1:1.0.43-0ubuntu4) trusty; urgency=medium

  * debian/patches/fix_delayed_management_request.patch: Adjust patch to fix
    a FTBFS.
  * debian/patches/fix_leak_of_task_in_scsi_flag.patch: Adjust patch to fix
    a FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Apr 2014 09:14:03 -0400

tgt (1:1.0.43-0ubuntu3) trusty; urgency=medium

  * Fix tgt connection issues under heavy load (LP: #1305343)
    - debian/patches/fix_delayed_management_request.patch: Fix a crash
      of tgtd which occured when removing a target with the --force option
      (https://github.com/fujita/tgt/commit/e6e8d0fd3b83208278fb7ed765c3665ae7c5ab49)
    - debian/patches/fix_leak_of_task_in_scsi_flag.patch: Clear task_in_scsi flag 
      when exiting iscsi_tm_execute() and iser_tm_exec() functions. 
      (https://github.com/fujita/tgt/commit/05fc2cb424863fbf2f3c60a8b617308ef1e370c5)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Apr 2014 19:35:20 -0400

tgt (1:1.0.43-0ubuntu2) trusty; urgency=medium

  * d/p/fix-config-regression.patch: Cherry picked fix from upstream VCS
    to resolve regression on configuration of control port.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Jan 2014 15:11:35 +0000

tgt (1:1.0.43-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Jan 2014 12:05:08 +0000

tgt (1:1.0.41-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - debian/patches/fix-tgt-admin-bashism: Dropped, included upstream.
  * d/control,rules,bash-completion: Enable bash completion support
    for tgt commands.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Nov 2013 15:00:10 +0000

tgt (1:1.0.38-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/p/include-rbd-docs.patch,example-config-use-conf-dot-dee:
      Dropped, included upstream.
    - Refreshed other patches.
  * d/watch: Really update to track github repository for releases.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Aug 2013 17:38:27 +0100

tgt (1:1.0.37-0ubuntu1) saucy; urgency=low

  * Merge from Debian unstable:
    - d/control: Drop depends on lsb-base; handled by debhelper.
  * d/watch: Updated to track github upstream repository.
  * New upstream release (LP: #1191180):
    - d/control: Add xsltproc and docbook-xsl to BD's.
    - d/p: Refreshed and tidied patches.
  * Enable support for Ceph RBD backend:
    - d/rules: Add CEPH_RBD=1 to options.
    - d/control: Add BD on librbd-dev.
    - d/p/include-rbd-docs.patch: Include README.rbd docs.
  * Switch to debhelper compat level 8:
    - d/rules: Rewrite to use debhelper overrides.
    - d/compat,control: Bump compat level and minimum version
      requirement for debhelper.

 -- James Page <james.page@ubuntu.com>  Tue, 18 Jun 2013 13:08:34 +0100

tgt (1:1.0.17-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adds an init script:
    - Depends: lsb-base
    - Adds dh_installinit call in debian/rules
    - adds debian/init

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2013 23:25:08 +0800

tgt (1:1.0.17-1ubuntu4) saucy; urgency=low

  * d/tests: added dep-8-tests

 -- Yolanda <yolanda.robla@canonical.com>  Tue, 21 May 2013 10:41:18 +0200

tgt (1:1.0.17-1ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:02:42 +0100

tgt (1:1.0.17-1ubuntu2) precise; urgency=low

  * change /etc/tgt/tgt.conf to support adding config.d format
    snippets in /etc/tgt/conf.d (LP: #978507)
  * start tgt on installation (LP: #977621)
  * stop tgt on shutdown (LP: #820699)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 10 Apr 2012 23:11:00 -0400

tgt (1:1.0.17-1ubuntu1) oneiric; urgency=low

  * Merge from debian remaining changes: 
    - debian/usptart: Add upstart job.
    - Dropped:
      - debian/patches/CVE-2011-0001.patch: No longer needed, use debian instead.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Aug 2011 04:45:03 -0400

tgt (1:1.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Frederik Schüler <fs@debian.org>  Tue, 21 Jun 2011 11:44:56 +0200

tgt (1:1.0.4-3) unstable; urgency=high

  * iscsi: fix buffer overflow before login (CVE-2011-0001)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 21 Mar 2011 03:32:59 +0000

tgt (1:1.0.13-0ubuntu3) oneiric; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    double free in iscsi_rx_handler function
    - debian/patches/CVE-2011-0001.patch: make sure the received data isn't
      larger than INCOMING_BUFSIZE in usr/iscsi/iscsid.c.
    - CVE-2011-0001

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Jun 2011 09:01:03 -0400

tgt (1:1.0.13-0ubuntu2) natty; urgency=low

  * debian/upstart: Add respawn to upstart job. (LP: #715686) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Feb 2011 10:31:26 -0500

tgt (1:1.0.13-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/patches/make-tgt-setup-lun-executable: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Feb 2011 10:31:04 -0500

tgt (1:1.0.4-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/upstart: Add upstart job.
    - Dropped:
      + debian/patches/scripts-tgt-admin: Use debian's instead.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Sep 2010 16:19:59 +0100

tgt (1:1.0.4-2) unstable; urgency=low

  * Fix bashism in tgt-admin, thanks to Chris Cheney (Closes: #589716)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Sep 2010 22:13:52 +0100

tgt (1:1.0.4-1ubuntu4) maverick; urgency=low

  * debian/upstart: Corrected typo with post-start command; Resolving 
    "unknown job" error. (LP: #574554)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 09 Aug 2010 23:49:42 +0100

tgt (1:1.0.4-1ubuntu3) maverick; urgency=low

  * tgtd target will not start unless it's configured with "allow-in-use yes"
    (LP: 605721)

 -- Chris Cheney <ccheney@ubuntu.com>  Tue, 20 Jul 2010 04:29:56 -0500

tgt (1:1.0.4-1ubuntu2) maverick; urgency=low

  * debian/usptart: Add post-start exec to upstart script. (LP: #574554) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Jul 2010 10:47:33 -0400

tgt (1:1.0.4-1ubuntu1) maverick; urgency=low

  * debian/rules, debian/tgt.tgtd.upstart: Add upstart script. (LP: #574554) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Jun 2010 10:22:39 -0400

tgt (1:1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Frederik Schüler <fs@debian.org>  Wed, 05 May 2010 09:04:59 +0200

tgt (1:1.0.3-2) unstable; urgency=low

  * Fix Format string vulnerability CVE-2010-0743.
    (Closes: #576086)

 -- Frederik Schüler <fs@debian.org>  Tue, 13 Apr 2010 10:54:19 +0200

tgt (1:1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.4, no changes needed.
  * Drop patches/tgtadm-usage-metasyntax.
  * Add parallel build ability to debian/rules.
  * Add watch file.

 -- Frederik Schüler <fs@debian.org>  Mon, 29 Mar 2010 13:09:33 +0200

tgt (1:1.0.0-2) unstable; urgency=low

  * Depend on sg3-utils. (Closes: #565168)

 -- Frederik Schüler <fs@debian.org>  Tue, 19 Jan 2010 19:36:40 +0100

tgt (1:1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Drop GPL digest patch, upstream has other implementation.
  * Add dependency on libconfig-general-perl. (Closes: #560710)
  * Build iSER driver, too.

 -- Frederik Schüler <fs@debian.org>  Thu, 24 Dec 2009 16:34:17 +0100

tgt (1:0.9.11-1) unstable; urgency=low

  [ Ben Hutchings ]
  * New upstream version (Closes: #501149)
    - Adds -D_GNU_SOURCE to compiler options (Closes: #526562)
  * Add myself to Uploaders
  * Fix syntax of usage messages (Closes: #493375)
  * Use GPL-compatible digest code instead of OpenSSL (Closes: #556294)
  * Update Standards-Version to 3.8.3
    - Add Homepage field
  * Enable FCoE driver
  * Update package description
    - Fix grammar
    - Mention 'SCSI' in the short description
    - Update list of drivers

  [ Frederik Schüler ]
  * Switch to debhelper 7.

 -- Frederik Schüler <fs@debian.org>  Wed, 09 Dec 2009 10:29:39 +0100

tgt (20070924-1) unstable; urgency=low

  [ Frederik Schüler ]
  * Initial release (Closes: #436320)

 -- Frederik Schüler <fs@debian.org>  Mon, 24 Sep 2007 20:04:05 +0200

